## org.eclipse.emf.codegen.merge.java
Class JMerger.PullTargetVisitor

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.FacadeVisitor
          org.eclipse.emf.codegen.merge.java.JMerger.PullTargetVisitor

Enclosing class:
  JMerger

    public class JMerger.PullTargetVisitor

extends FacadeVisitor

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.FacadeVisitor
`rootNode`

Constructor Summary
`JMerger.PullTargetVisitor()`

Method Summary
`protected boolean` `basicVisit(JNode node)`
`protected void` `doPull(JNode source, JNode target)`
`protected boolean` `visit(JCompilationUnit compilationUnit)`
`protected boolean` `visit(JMethod method)`
`protected void` `visit(JNode target)`
`protected boolean` `visit(JPackage jPackage)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.FacadeVisitor
`afterVisit, afterVisitChildren, beforeVisit, dispatch, getRootNode, start, visit, visit, visit, visit, visit, visit, visit, visitChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMerger.PullTargetVisitor

    public JMerger.PullTargetVisitor()

Method Detail

### doPull

    protected void doPull(JNode source,
                          JNode target)

### visit

    protected void visit(JNode target)

  Overrides:
    `visit` in class `FacadeVisitor`

### basicVisit

    protected boolean basicVisit(JNode node)

  Overrides:
    `basicVisit` in class `FacadeVisitor`

### visit

    protected boolean visit(JCompilationUnit compilationUnit)

  Overrides:
    `visit` in class `FacadeVisitor`

### visit

    protected boolean visit(JMethod method)

  Overrides:
    `visit` in class `FacadeVisitor`

### visit

    protected boolean visit(JPackage jPackage)

  Overrides:
    `visit` in class `FacadeVisitor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.